---
title: "Omio API: Route Page | Perceptlayer"
description: "Route Page from Omio as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/omio/route-page
---

[APIs](https://perceptlayer.com/apis) / [Omio](https://perceptlayer.com/apis/omio) / Route Page

# Omio: Route Page

Route Page from Omio as JSON. 1 credit per successful call.

GET `/v1/omio/route-page`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `origin` | string | Required | Up to 60 characters |
| `destination` | string | Required | Up to 60 characters |
| `mode` | string | Optional | trains, buses, flights |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/omio/route-page" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/omio?try=route-page#playground) with your own parameters. 1 credit per successful call; failed calls are free.
